Miracle Docs
Merchants

Approve merchant for live

POST
/v1/admin/merchants/{id}/approve
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://<api-host>/v1/admin/merchants/string/approve" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "merchant": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
      "livemode": true,
      "companyId": "8bb73d03-06b4-47c7-80c7-59301f770eda",
      "name": "string",
      "status": "sandbox",
      "onboardingState": "draft",
      "processingMode": "principal",
      "checkoutHosting": "self_hosted",
      "defaultCurrency": "string",
      "allowedCurrencies": [
        "string"
      ],
      "allowedPaymentMethodTypes": [
        "card"
      ],
      "allowedBrands": [
        "string"
      ],
      "businessCategory": "string",
      "website": "string",
      "descriptor": "string",
      "contactEmail": "string",
      "contactPhone": "string",
      "amountMismatchPolicy": "review",
      "amountMismatchThresholdBp": 10000,
      "allowedOrigins": [
        "string"
      ],
      "threeDsConfig": {
        "defaultMode": "auto",
        "defaultChallengePreference": "no_preference",
        "autoUpgradeOnSoftDecline": true,
        "attemptNon3ds": true,
        "requireSca": true
      },
      "antifraudPlanId": "1bad06ff-e578-4e6c-b223-ff265e686223",
      "createdAt": "string",
      "updatedAt": "string",
      "deletedAt": null
    },
    "liveCredentials": {
      "apiKeys": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "keyPrefix": "string",
          "secretKey": "string"
        }
      ],
      "webhooks": [
        {
          "endpointId": "c8d2c7e1-e4b1-4108-9e29-3429a36a1ef3",
          "signingSecret": "string"
        }
      ]
    }
  }
}
Empty
Empty
Empty
Empty

On this page